import java.io.PrintWriter;
import java.util.Scanner;

public class Main {

	Scanner in;

	PrintWriter out;

	void solve() {
		int n = in.nextInt() / 2;
		int maxarea = 0;
		for (int rows = 2; rows < n; rows++) {
			int cols = n + 2 - rows;
			int area = rows * cols - n * 2;
			maxarea = Math.max(maxarea, area);
		}
		out.println(maxarea);
	}

	void run() {
		in = new Scanner(System.in);
		out = new PrintWriter(System.out);
		try {
			solve();
		} finally {
			out.close();
		}
	}

	public static void main(String[] args) {
		new Main().run();
	}

}
